Class | Spec::Example::ExampleGroupFactory
In: | lib/spec/example/example_group_factory.rb
Parent: | Object

### Methods

all_registered? create_example_group default determine_superclass get register reset

### Public Class methods

all_registered?(example_group_classes)
create_example_group(*args, &block)
default(example_group_class)

Sets the default ExampleGroup class

get(key=nil)
register(key, example_group_class)

Registers an example group class `klass` with the symbol `type`. For example:

      Spec::Example::ExampleGroupFactory.register(:farm, FarmExampleGroup)

With that you can append a hash with :type => :farm to the describe method and it will load an instance of FarmExampleGroup.

      describe Pig, :type => :farm do
        ...

If you don‘t use the hash explicitly, `describe` will implicitly use an instance of FarmExampleGroup for any file loaded from the `./spec/farm` directory.

reset()

### Protected Class methods

determine_superclass(opts)

[Validate]